Bug 226973 - Improper handling of genuine "Base35" font
Improper handling of genuine "Base35" font
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 07:16 EST by Michael A. Peters
Modified: 2008-05-06 15:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF file showing Helvetica metrics being used with Helvetica Narrow (297.57 KB, application/pdf)
2007-02-02 07:16 EST, Michael A. Peters
no flags Details
RTF file using both Helvetica and Helvetica Narrow (1.06 KB, text/rtf)
2007-02-02 08:03 EST, Michael A. Peters
no flags Details
Proper PDF file made on another system (13.40 KB, application/pdf)
2007-02-02 08:06 EST, Michael A. Peters
no flags Details
Improper PDF demonstrating issue (55.41 KB, application/pdf)
2007-02-02 08:11 EST, Michael A. Peters
no flags Details
AbiWord document used to demonstrate bug (7.26 KB, application/x-abiword)
2007-12-03 15:24 EST, Michael A. Peters
no flags Details
rtf export of abiword document (7.94 KB, application/rtf)
2007-12-03 15:25 EST, Michael A. Peters
no flags Details
PDF outpit (483.58 KB, application/pdf)
2007-12-03 15:27 EST, Michael A. Peters
no flags Details

  None (edit)
Description Michael A. Peters 2007-02-02 07:16:14 EST
Description of problem:
If you install the genuine "base35" fonts from Adobe, fontconfig does not
properly handle Helvetica.

Version-Release number of selected component (if applicable):
fontconfig-2.4.1-3.fc6

How reproducible:
always

Steps to Reproduce:
1. launch AbiWord
2. Choose Helvetica
3.
  
Actual results:
It has the spacing of normal Helvetica but is actually using Helvetica Narrow
characters

Expected results:
It should use Helvetica

Additional info:
Adobe does not call Helvetica "Helvetica Narrow" in the font family.
Here is from the afm file:

StartFontMetrics 4.1
Comment Copyright (c) 1985, 1987, 1989, 1990, 1997, 1998, 1999 Adobe Systems Inc
orporated.  All Rights Reserved.
Comment Creation Date: Mon Aug 23 13:07:10 1999
Comment UniqueID 44711
Comment VMusage 11195 50629
FontName Helvetica-Narrow
FullName Helvetica Narrow
FamilyName Helvetica
Weight Medium
ItalicAngle 0
IsFixedPitch false

The FamilyName is Helvetica
I think that is what is confusing fontconfig.

When I print to PDF and look at the embedded fonts, it is embedding Helvetica
Narrow and not Helvetica - which is how I know it is grabbing the font shapes
from the wrong font. I've attached a PDF file demonstrating the issue.

Since this is an often used "Base35" Postscript font, this certainly should not
happen.
Comment 1 Michael A. Peters 2007-02-02 07:16:14 EST
Created attachment 147213 [details]
PDF file showing Helvetica metrics being used with Helvetica Narrow
Comment 2 Michael A. Peters 2007-02-02 08:00:14 EST
I was sent an rtf file using both Helvetica and Helvetica-Narrow.

The PDF of the rtf file produced by the person who sent it to me embeds both
fonts, and displays them properly.

W/O making any changes to the rtf file, I printed to PDF on Fedora, and as
expected. only Helvetica-Narrow was embedded.
Comment 3 Michael A. Peters 2007-02-02 08:03:42 EST
Created attachment 147216 [details]
RTF file using both Helvetica and Helvetica Narrow

This is an rtf file that specifies both fonts - Helvetica and Helvetica Narrow
Comment 4 Michael A. Peters 2007-02-02 08:06:22 EST
Created attachment 147218 [details]
Proper PDF file made on another system

This is the RTF in attachment 147216 [details] printed to PDF properly on another system.
Comment 5 Michael A. Peters 2007-02-02 08:11:15 EST
Created attachment 147219 [details]
Improper PDF demonstrating issue

This is the RTF in attachment 147216 [details] printed to PDF on Fedora - no changes made
to the RTF file, both Helvetica and Helvetica Narrow installed, but only
Helvetica-Narrow is embedded. Also, it looks like both are using the metrics
from regular Helvetica - as the spacing on the Fedora installed PDF file is too
wide for the Helvetica-narrow shapes that are embedded.
Comment 6 Michael A. Peters 2007-12-03 15:23:19 EST
I installed Fedora 8 and the bug still exists.

I'm assuming the problem is with fontconfig. These failings seem to happen in
other apps as well.

Basically - there are several issues going on.
It definitely is treating Helvetica PS different than Nimbus Sans L which is bad.

I have the Type 1 Abobe Base35 fonts installed. They were purchased by me
directly from Adobe, not a third party.

I created a basic document using AbiWord to test the metrics against other
Helvetica clones when printed to a PDF document.

What's interesting - when I select Helvetica, it looks like it mixes up
Helvetica and Helvetica Narrow.
Same mixup happens with Nimbus Sans L except it does that mixup differently.

Using real Helvetica font:
Roman: It seems to use the Helvetica Narrow pfb but the Helvetica afm
Bold:  It seems to get that one right, using the correct helvetica bold pfb and
matching afm
Italic: It seems to substitute Helvetica Narrow pfb
Bold Italic: It seems to substitute Helvetica Narrow pfn
NOTE - if I rememove the helvetica narrow afm/pfb files - it does the right thing.

Using the URW Nimbus Sans L substitute:
Roman: It seems to use the narrow metrics with the regular font.
Bold:  It seems to use the narrow metrics with the bold font
Italic: It seems to use the narrow italic metrics and font
Bold Italic: It seems to use the narrow bold italic metrics and font

-=-=-

From a user point of view - the document shouldn't result in the use of narrow
metrics (or fonts) at all - so there seems to be a bug with fontconfig grabbing
fonts that it is not suppose to.

But furthermore - given that there seems to be a bug in that respect, if the URW
clones really are the clones of the Base35 fonts then they should fail in the
same way. They fail differently.

The TrueType helvetica clones behaved as they should as far as what gets embedded.

Attached is original AbiWord document, export to .rtf of original AbiWord
document, and a PDF created from original AbiWord document.
Comment 7 Michael A. Peters 2007-12-03 15:24:20 EST
Created attachment 276131 [details]
AbiWord document used to demonstrate bug
Comment 8 Michael A. Peters 2007-12-03 15:25:30 EST
Created attachment 276141 [details]
rtf export of abiword document

I don't know if rtf version is helpful, it may help identify what fontconfig is
trying to do?
Comment 9 Michael A. Peters 2007-12-03 15:27:33 EST
Created attachment 276151 [details]
PDF outpit

Created by selecting "print to pdf" from the AbiWord print menu.
It shows that helvetica narrow and Nimbus Sans L narrow are being used in the
creation of the PDF document (view fonts in properties)
Comment 10 Bug Zapper 2008-04-04 02:04:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 11 Bug Zapper 2008-05-06 15:09:13 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.